<?php

namespace Drupal\Tests\cache_review\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Tests for the cache_review module.
 *
 * @group cache_review
 */
class CacheReviewTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = ['cache_review'];

  /**
   * The installation profile to use with this test.
   *
   * @var string
   */
  protected $profile = 'minimal';

  /**
   * Test menu links and routes.
   */
  public function testCacheReviewMenu() {
    $assert = $this->assertSession();

    // Test for a link to the cache_review in the Tools menu.
    $this->drupalGet('/');
    $assert->statusCodeEquals(200);

    $this->drupalGet('admin/config/cache-review');
    $assert->statusCodeEquals(403);

    // Verify if the can successfully access the cache_review pages.
    $this->drupalGet('/cache-review');
    $assert->statusCodeEquals(200);
    $assert->pageTextContains('Cache demo pages');

    $this->drupalGet('/cache-review/cached-max-age');
    $assert->statusCodeEquals(200);

    $this->drupalGet('/cache-review/uncacheable-lazy-keys');
    $assert->statusCodeEquals(200);

    $this->drupalGet('/cache-review/cached-lazy');
    $assert->statusCodeEquals(200);
  }

}
